[New-bugs-announce] [issue9083] At least some Tools utilities are still Python 2

Steve Holden report at bugs.python.org
Sat Jun 26 00:38:44 CEST 2010

New submission from Steve Holden <steve at holdenweb.com>:

C:\Users\sholden>\python31\python \python31\Tools\webchecker\wcgui.py
Traceback (most recent call last):
  File "\python31\Tools\webchecker\wcgui.py", line 63, in <module>
    from Tkinter import *
ImportError: No module named Tkinter

This makes is seem pretty clear that not even minimal effort has been expended to ensure that this Tools is functional. It's not a priority, so that's understandable. Maybe I am the only person who ever tried to use this under Python 3.

Perhaps we need a test that will fail if these things don't at least run to completion (and no, I don't know how I would test wcgui, but I'd be interested in discussing test strategies)?

assignee: holdenweb
components: 2to3 (2.x to 3.0 conversion tool), Demos and Tools
messages: 108641
nosy: holdenweb
priority: high
severity: normal
stage: unit test needed
status: open
title: At least some Tools utilities are still Python 2
type: feature request
versions: Python 3.1

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list